JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
WeakReference< ObjectType, ReferenceCountingType >::SharedPointer Class Reference
juce_core » memory

This class is used internally by the WeakReference class - don't use it directly in your code! More...

`#include <juce_WeakReference.h>`

Inherits ReferenceCountingType.

## Public Member Functions
| SharedPointer (ObjectType *obj) noexcept
ObjectType * | get () const noexcept
void | clearPointer () noexcept

## Detailed Description

template<class ObjectType, class ReferenceCountingType = ReferenceCountedObject>
class WeakReference< ObjectType, ReferenceCountingType >::SharedPointer

This class is used internally by the WeakReference class - don't use it directly in your code!

See also
  WeakReference

## Constructor & Destructor Documentation

## ◆ SharedPointer()

template<class ObjectType , class ReferenceCountingType = ReferenceCountedObject>

WeakReference< ObjectType, ReferenceCountingType >::SharedPointer::SharedPointer | ( | ObjectType * | obj | ) |
| explicit noexcept

## Member Function Documentation

## ◆ get()

template<class ObjectType , class ReferenceCountingType = ReferenceCountedObject>

ObjectType * WeakReference< ObjectType, ReferenceCountingType >::SharedPointer::get | ( |  | ) | const
| noexcept

## ◆ clearPointer()

template<class ObjectType , class ReferenceCountingType = ReferenceCountedObject>

void WeakReference< ObjectType, ReferenceCountingType >::SharedPointer::clearPointer | ( |  | ) |
| noexcept

The documentation for this class was generated from the following file:

- juce_WeakReference.h